Notploy

Mariadb

Mariadb create

POST
/mariadb.create
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

name*string
Length1 <= length
appName?string
Match^[a-zA-Z0-9._-]+$
Length1 <= length <= 63
dockerImage?string
Default"mariadb:6"
databaseRootPassword?string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
environmentId*string
description?string|null
databaseName*string
Length1 <= length
databaseUser*string
Length1 <= length
databasePassword*string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
serverId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "environmentId": "string",    "databaseName": "string",    "databaseUser": "string",    "databasePassword": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb one

GET
/mariadb.one
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

mariadbId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/mariadb.one?mariadbId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb start

POST
/mariadb.start
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.start" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb stop

POST
/mariadb.stop
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.stop" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb save External Port

POST
/mariadb.saveExternalPort
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
externalPort*number|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.saveExternalPort" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string",    "externalPort": 0  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb deploy

POST
/mariadb.deploy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.deploy" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb change Status

POST
/mariadb.changeStatus
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
applicationStatus*string
Value in"idle" | "running" | "done" | "error"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.changeStatus" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string",    "applicationStatus": "idle"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb remove

POST
/mariadb.remove
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.remove" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb save Environment

POST
/mariadb.saveEnvironment
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
env*string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.saveEnvironment" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string",    "env": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb reload

POST
/mariadb.reload
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
appName*string
Match^[a-zA-Z0-9._-]+$
Length1 <= length <= 63

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.reload" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string",    "appName": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb update

POST
/mariadb.update
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
Length1 <= length
name?string
Length1 <= length
appName?string
Match^[a-zA-Z0-9._-]+$
Length1 <= length <= 63
description?string|null
databaseName?string
Length1 <= length
databaseUser?string
Length1 <= length
databasePassword?string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
databaseRootPassword?string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
dockerImage?string
command?string|null
args?|null
env?string|null
memoryReservation?string|null
memoryLimit?string|null
cpuReservation?string|null
cpuLimit?string|null
externalPort?number|null
applicationStatus?string
Value in"idle" | "running" | "done" | "error"
healthCheckSwarm?|null
restartPolicySwarm?|null
placementSwarm?|null
updateConfigSwarm?|null
rollbackConfigSwarm?|null
modeSwarm?|null
labelsSwarm?|null
networkSwarm?|null
stopGracePeriodSwarm?number|null
endpointSpecSwarm?|null
ulimitsSwarm?|null
replicas?number
createdAt?string
environmentId?string
networkIds?|null
detachNotployNetwork?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.update" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb move

POST
/mariadb.move
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string
targetEnvironmentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.move" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string",    "targetEnvironmentId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Mariadb rebuild

POST
/mariadb.rebuild
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

mariadbId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/mariadb.rebuild" \  -H "Content-Type: application/json" \  -d '{    "mariadbId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}